Mandrake Linux Security Advisory : clamav (MDKSA-2007:098)

High Nessus Plugin ID 25189


The remote Mandrake Linux host is missing one or more security updates.


iDefense discovered a stack-based overflow in ClamAV when processing negative values in .cab files. As well, multiple file descriptor leaks were also reported and fixed in chmunpack.c, pdf.c, and dblock.c.

This update provides ClamAV 0.90.2 which corrects these problems and provides new functionality.


Update the affected packages.

Plugin Details

Severity: High

ID: 25189

File Name: mandrake_MDKSA-2007-098.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2007/05/10

Modified: 2013/06/01

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:clamav, p-cpe:/a:mandriva:linux:clamav-db, p-cpe:/a:mandriva:linux:clamav-milter, p-cpe:/a:mandriva:linux:clamd, p-cpe:/a:mandriva:linux:clamdmon, p-cpe:/a:mandriva:linux:klamav, p-cpe:/a:mandriva:linux:lib64clamav2, p-cpe:/a:mandriva:linux:lib64clamav2-devel, p-cpe:/a:mandriva:linux:libclamav2, p-cpe:/a:mandriva:linux:libclamav2-devel, cpe:/o:mandriva:linux:2007, cpe:/o:mandriva:linux:2007.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2007/05/08

Reference Information

CVE: CVE-2007-1745, CVE-2007-1997, CVE-2007-2029

MDKSA: 2007:098

CWE: 399